<?xml version="1.0" encoding="utf-8"?>
<layout>

    <data>

        <variable
            name="onCloseClickListener"
            type="android.view.View.OnClickListener" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:background="@color/black45">

        <View
            android:id="@+id/alipay_qr_code_bg"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:background="@drawable/bg_payment_qr_code"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="1:1"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.3534090909090909"
            app:layout_constraintWidth_percent="0.8611111111111111" />

        <com.datarecovery.master.widget.UntouchableWebView
            android:id="@+id/alipay_qr_code_web_view"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:overScrollMode="never"
            android:scrollbars="none"
            app:layout_constraintBottom_toBottomOf="@id/alipay_qr_code_bg"
            app:layout_constraintDimensionRatio="1:1"
            app:layout_constraintLeft_toLeftOf="@id/alipay_qr_code_bg"
            app:layout_constraintRight_toRightOf="@id/alipay_qr_code_bg"
            app:layout_constraintTop_toTopOf="@id/alipay_qr_code_bg"
            app:layout_constraintVertical_bias="0.3"
            app:layout_constraintWidth_percent="0.6388888888888889" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/alipay_qr_code_tips"
            android:textColor="@color/black"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="@id/alipay_qr_code_bg"
            app:layout_constraintLeft_toLeftOf="@id/alipay_qr_code_bg"
            app:layout_constraintRight_toRightOf="@id/alipay_qr_code_bg"
            app:layout_constraintTop_toBottomOf="@id/alipay_qr_code_web_view" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:onClickListener="@{onCloseClickListener}"
            android:src="@drawable/icon_member_close"
            app:layout_constraintLeft_toLeftOf="@id/alipay_qr_code_bg"
            app:layout_constraintRight_toRightOf="@id/alipay_qr_code_bg"
            app:layout_constraintTop_toBottomOf="@id/alipay_qr_code_bg"
            app:tint="@color/white" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>